import { RenderFactory } from './model';
import { ParserOptions } from './parser/ParserOptions';
/**
 * Parse an HTML template and return the factory of the underlying render function.
 * @param {string} html the HTML content to parse
 * @param {ParserOptions} options the options
 * @return {string | RenderFactory} the factory function as Function or string.
 */
export declare function parse(html: string, options?: ParserOptions): string | RenderFactory;
