"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FcAttHandler = void 0;
const utils_1 = require("./utils");
class FcAttHandler {
    handle(name, value, fcAttrs, fcProps, fcOpts, options) {
        let targetName = name;
        let destination = fcAttrs;
        let interpolatedValue = utils_1.interpolate(value, options);
        const index = name.indexOf(options.propNamePrefix);
        if (index > -1) {
            targetName = utils_1.toCamelCase(name.substring(index + 1));
            destination = fcProps;
            destination.append(`'${targetName}', ${interpolatedValue || 'undefined'}`);
        }
        else {
            destination.append(`'${targetName}', ${interpolatedValue || '\'\''}`);
        }
    }
}
exports.FcAttHandler = FcAttHandler;
