"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FcCallTagHandler = void 0;
const FcTagHandler_1 = require("./FcTagHandler");
/**
 * A funclate's tag to call another funclate's render function.
 * @example
 * <fc-call fc-name="ctx.anotherRenderFunction"></fc-call>
 */
class FcCallTagHandler extends FcTagHandler_1.FcTagHandler {
    startTag(factory, name, attributes, options) {
        const fnName = attributes['fc-name'];
        if (fnName) {
            factory.append(`${fnName}(__el__, __ctx__);`);
        }
    }
    endTag(factory, name, options) {
    }
}
exports.FcCallTagHandler = FcCallTagHandler;
