import { Map } from '../model';
import { Factory } from './Factory';
import { FcTagHandler } from './FcTagHandler';
import { ParserOptions } from './ParserOptions';
/**
 * A funclate's tag implementing a forEach loop.
 * @example
 * <fc-each items="el.items">
 *     <li>{{ index }}/{{ all.length }} - {{ item }}</li>
 * </fc-each>
 */
export declare class FcEachTagHandler extends FcTagHandler {
    startTag(factory: Factory, name: string, attributes: Map<string>, options: ParserOptions): void;
    endTag(factory: Factory, name: string, options: ParserOptions): void;
}
