"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FcEachTagHandler = void 0;
const FcTagHandler_1 = require("./FcTagHandler");
/**
 * A funclate's tag implementing a forEach loop.
 * @example
 * <fc-each items="el.items">
 *     <li>{{ index }}/{{ all.length }} - {{ item }}</li>
 * </fc-each>
 */
class FcEachTagHandler extends FcTagHandler_1.FcTagHandler {
    startTag(factory, name, attributes, options) {
        const itemsVar = attributes['fc-items'] ? attributes['fc-items'] : '[]';
        const itemVar = attributes['fc-item'] ? attributes['fc-item'] : 'item';
        const indexVar = attributes['fc-index'] ? attributes['fc-index'] : 'index';
        const allVar = attributes['fc-all'] ? attributes['fc-all'] : 'all';
        factory.append(`${itemsVar}.forEach(function (${itemVar}, ${indexVar}, ${allVar}) {`);
    }
    endTag(factory, name, options) {
        factory.append('});');
    }
}
exports.FcEachTagHandler = FcEachTagHandler;
