"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FcElseIfTagHandler = void 0;
const FcTagHandler_1 = require("./FcTagHandler");
/**
 * A funclate's tag implementing a else clause.
 * @example
 * <fc-if condition="el.foo === 'bar'">
 *     <span>foo is bar</span>
 * <fc-else if condition="el.foo === 'bar²'"/>
 *     <span>foo is bar²</span>
 * </fc-if>
 */
class FcElseIfTagHandler extends FcTagHandler_1.FcTagHandler {
    startTag(factory, name, attributes, options) {
        const condition = attributes['fc-condition'] ? attributes['fc-condition'] : 'false';
        factory.append(`} else if (${condition}) {`);
    }
    endTag(factory, name, options) {
    }
}
exports.FcElseIfTagHandler = FcElseIfTagHandler;
