"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FcElseTagHandler = void 0;
const FcTagHandler_1 = require("./FcTagHandler");
/**
 * A funclate's tag implementing a else clause.
 * @example
 * <fc-if condition="el.foo === 'bar'">
 *     <span>foo is bar</span>
 * <fc-else/>
 *     <span>foo is not bar</span>
 * </fc-if>
 */
class FcElseTagHandler extends FcTagHandler_1.FcTagHandler {
    startTag(factory, name, attributes, options) {
        factory.append(`} else {`);
    }
    endTag(factory, name, options) {
    }
}
exports.FcElseTagHandler = FcElseTagHandler;
