"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FcIfTagHandler = void 0;
const FcTagHandler_1 = require("./FcTagHandler");
/**
 * A funclate's tag implementing a if clause.
 * @example
 * <fc-if condition="el.foo === 'bar'">
 *     <span>foo is bar</span>
 * </fc-if>
 */
class FcIfTagHandler extends FcTagHandler_1.FcTagHandler {
    startTag(factory, name, attributes, options) {
        const condition = attributes['fc-condition'] ? attributes['fc-condition'] : 'false';
        factory.append(`if (${condition}) {`);
    }
    endTag(factory, name, options) {
        factory.append('}');
    }
}
exports.FcIfTagHandler = FcIfTagHandler;
