import { Map } from '../model';
import { Factory } from './Factory';
import { ParserOptions } from './ParserOptions';
export declare class FcTagHandler {
    /**
     * Invoked when starting tag of the element is found.
     * @param {Factory} factory
     * @param {string} name
     * @param {Map<string>} attributes
     * @param {ParserOptions} options
     */
    startTag(factory: Factory, name: string, attributes: Map<string>, options: ParserOptions): void;
    /**
     * Invoked when ending tag of the element is found.
     * @param {Factory} factory
     * @param {string} name
     * @param {ParserOptions} options
     */
    endTag(factory: Factory, name: string, options: ParserOptions): void;
}
