/**
 * Convert a value to an array.
 * @param {*} value the value to convert
 * @returns {Array} the array
 * @private
 */
export declare function toArray(value: any): any;
/**
 * Convert undefined and null value to empty string.
 * @param {string} value the value to sanitize
 * @returns {string} the sanitized value
 * @private
 */
export declare function sanitize(value: any): any;
/**
 * Transform an array to an object.
 * The first value is the key, the second its value and so one.
 * @param {Array} array the array
 * @returns {object} the object
 * @private
 */
export declare function fromArrayToObject(array: any): {};
/**
 * According to the given parent, try to find a node matching with the given key.
 * @param {!Element} parent the parent element
 * @param {!number} from the index of the starting node
 * @param {!string} key the key to find
 * @returns {Node}
 * @private
 */
export declare function findNodeFromKey(parent: any, from: any, key: any): any;
/**
 * Update the given element's attributes according to the new one.
 * @param {!Element} element the element
 * @param {Array.<undefined|null|string|number|boolean>} [attributes] the new attributes
 * @private
 */
export declare function updateAttributes(element: any, attributes: any): void;
/**
 * Update the given element's properties according to the new one.
 * @param {!Element} element the element
 * @param {Array} [properties] the new attributes
 * @private
 */
export declare function updateProperties(element: any, properties: any): void;
